Bug 155381 - drivers/block/cfq-iosched.c:1070: spin_is_locked on uninitialized spinlock d9d133b8.
drivers/block/cfq-iosched.c:1070: spin_is_locked on uninitialized spinlock d9...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-19 14:41 EDT by Ralf Ertzinger
Modified: 2015-01-04 17:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-29 18:26:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsmod output (2.17 KB, text/plain)
2005-04-20 06:36 EDT, Ralf Ertzinger
no flags Details
lspci -vv output (6.82 KB, text/plain)
2005-04-20 06:36 EDT, Ralf Ertzinger
no flags Details

  None (edit)
Description Ralf Ertzinger 2005-04-19 14:41:43 EDT
Description of problem:
I have a pretty much reproducable kernel crash which spits out the following
message to the console before dying:

drivers/block/cfq-iosched.c:1070: spin_is_locked on uninitialized spinlock d9d133b8.

(The last number varies).
Reproduction as follows:
1) Plug in an USB stick, mount it
2) Write something to it
3) umount and remove

Sometimes the system hangs a short time (max 30 seconds) after the removal.
Sometimes the system stays up for hours, and then hangs when trying to log out
of gnome. Sadly the line above is all that is printed of the oops.

Happens on an i686 kernel (athlon), I have similar effects on ppc, but no kernel
 dump for lack of a serial console.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1240_FC4

How reproducible:
Pretty often.

Steps to Reproduce:
1. See above.
2.
3.
  
Actual results:
Kernel crashes

Expected results:
normal operation

Additional info:
Comment 1 Dave Jones 2005-04-19 21:33:04 EDT
can you paste lspci & lsmod output please ?
Comment 2 Ralf Ertzinger 2005-04-20 06:36:06 EDT
Created attachment 113402 [details]
lsmod output
Comment 3 Ralf Ertzinger 2005-04-20 06:36:41 EDT
Created attachment 113403 [details]
lspci -vv output
Comment 4 Dave Jones 2005-04-20 12:50:23 EDT
todays rawhide kernel has a bunch of extra debugging info enabled, can you try
and repeat it with that please ?
Comment 5 Sitsofe Wheeler 2005-04-20 15:05:13 EDT
I have posted my results with a rawhide kernel over in bug #155472
Comment 6 Ralf Ertzinger 2005-04-21 13:36:56 EDT
Result with 2.6.11-1.1251_FC4:

Kernel panic - not syncing: drivers/block/cfq-iosched.c:1070: spin_is_locked on
uninitialized spinlock d9228474. (Not tainted)

 [<c01208f8>] panic+0x45/0x1e2
 [<c02995d4>] cfq_exit_io_context+0x130/0x486
 [<c0292154>] exit_io_context+0x41/0x49
 [<c0124b1d>] do_exit+0x4c/0x510
 [<c0188f01>] sys_stat64+0x23/0x28
 [<c01250ab>] do_group_exit+0x9e/0x1f5
 [<c0103a61>] syscall_call+0x7/0xb
Comment 7 Greg Swift 2005-04-26 13:44:41 EDT
I get the exact same kernel panic on my laptop whilst 
performing a shutdown -h now on kernel 2.6.11-1.14_FC3
but this never panicked on the previous kernel of 2.6.10-1.770_FC3
Comment 8 Dave Jones 2005-04-26 18:10:54 EDT
this should have been fixed in 1254 build of rawhide.
FC3 users need http://people.redhat.com/davej/kernels/Fedora/FC3
Comment 9 Greg Swift 2005-04-27 10:26:18 EDT
I appreciate the link to FC3 RPMs.  Currently, I get my rpm files via a 
"home grown" yum-like update script that mirrors them from:
mirror3.cs.wisc.edu:
/pub/mirrors/linux/download.fedora.redhat.com/pub/fedora/linux/core/updates/3
and they've always seemed to be reliable in the past; if the latest officially
released FC3 RPMs are on redhat.com , why are they not mirrored at wisc.edu ??
Are the RPMs in your davej directory "official" ?? or are they "test" code ??
Should I be getting all non-kernel RPMs from wisc.edu and only the kernel
stuff from people.redhat.com/davej/kern...
Thanks ... dazed and confused...
Comment 10 Sitsofe Wheeler 2005-04-27 15:32:21 EDT
Greg:
The RPMs in davej's directory are usually prerelease kernels. If you always want
to test the very very latest stuff *and have time to report the breakages* then
you could use them all the time (of course they might eat your system - that's
life on the edge). Fixes to problems will appear there first sometimes months
before the next "regular" kernel is released and it is feedback on these davej
kernels that is used to decide what to release to the mainstream. There are lots
of davej kernels.

A brief aside - if too few people test (and report the problems) in davej
kernels then a kernel which has problems for people who excercise different
parts of the kernel to the people who did test it can slip through and be
released as a regular kernel.

Summary
The davej kernels are meant for testing and not for mass consumption. Good
testing kernels (especially ones that fix bugs without introducing side effects)
are eventually released for mass consumption. If you are seeing a problem that
might be fixed in a yet-to-be-released davej kernel then the developers will ask
you to test the davej kernel to save you waiting for a regular release and to
get feedback quicker.

(This whole thing is offtopic for bugzilla)
Comment 11 Ralf Ertzinger 2005-04-28 08:39:27 EDT
I tried yesterday with -1261, and was able to plug/write/unplug my USB-sticks
without making the kernel barf.
Comment 12 Dave Jones 2005-04-28 17:32:04 EDT
also with todays 1275 ?
Comment 13 Ralf Ertzinger 2005-04-29 05:01:05 EDT
-1275 seems to work fine, too.

Note You need to log in before you can comment on or make changes to this bug.